XMLAttributeDecl (Xerces2 Implementation)
Date: 2018-10-17

org.apache.xerces.impl.dtd

## Class XMLAttributeDecl

- java.lang.Object
- - org.apache.xerces.impl.dtd.XMLAttributeDecl

-     public class XMLAttributeDecl
      extends java.lang.Object

  Version:
    $Id: XMLAttributeDecl.java 446755 2006-09-15 21:56:27Z mrglavas $

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.apache.xerces.xni.QName` | `name` name
    `boolean` | `optional` optional
    `XMLSimpleType` | `simpleType` simpleType

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLAttributeDecl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` clear
    `void` | `setValues(org.apache.xerces.xni.QName name, XMLSimpleType simpleType, boolean optional)` setValues

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public final org.apache.xerces.xni.QName name

      name

    - #### simpleType

          public final XMLSimpleType simpleType

      simpleType

    - #### optional

          public boolean optional

      optional

  - ### Constructor Detail

    - #### XMLAttributeDecl

          public XMLAttributeDecl()

  - ### Method Detail

    - #### setValues

          public void setValues(org.apache.xerces.xni.QName name,
                                XMLSimpleType simpleType,
                                boolean optional)

      setValues
      Parameters:
        `name` -
        `simpleType` -
        `optional` -

    - #### clear

          public void clear()

      clear

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.